interface ITutorialData {
    paymentId: number;
    paymentCode: string;
    paymentMethod: string;
}
type CUSTOMER = {
    first_name: string;
    last_name: string;
    email: string;
    phone: string;
    address: string;
};
type CARD_ITEM = {
    name: string;
    price: number;
    quantity: number;
};
interface IRequestData {
    payment_method_id: number;
    cartTotal: number;
    currency: string;
    customer: CUSTOMER;
    cartItems: Array<CARD_ITEM>;
}
export declare const getPaymentTypes: (TOKEN: string) => Promise<ITutorialData[]>;
export declare const createRequest: (TOKEN: string, requestUrl: string, requestData: IRequestData) => Promise<unknown>;
export {};
//# sourceMappingURL=index.d.ts.map